<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

$rand = rand(100,999);    
 
echo '<img src="../images/img/partners.gif" alt=""> <b>Гостевая книга</b><br><br>';

if($config_themes!="wml"){echo '<a href="#down"><img src="../images/img/downs.gif" alt=""></a> ';}
echo '<a href="index.php?r='.$rand.'&amp;'.SID.'"> Обновить</a>';

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){

if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){
echo ' | <a href="../'.$config_mpanel.'/book.php?start='.$start.'&amp;'.SID.'">Управление</a>';}	

if($config_themes!="wml"){	
echo '<br><hr><form action="add.php?'.SID.'" method="post">';
echo '<b>Сообщение:</b><br>';
echo '<textarea cols="25" rows="3" name="msg"></textarea><br>';

if($config_translit=="1"){
echo 'Транслит: <input name="trans" type="checkbox" value="y" /><br>';}

echo '<input type="submit" value="Написать" /></form><hr>';

}else{

echo '<br>--------------------<br>Сообщение:<br>';
echo '<input name="msg"/><br>';

if($config_translit=="1"){
echo 'Транслит: <select name="trans"><option value="0">Нет</option>';
echo '<option value="y">Да</option></select><br>';}

echo '<anchor>Написать';
echo '<go href="add.php?'.SID.'" method="post">';
echo '<postfield name="msg" value="$(msg)"/>';
echo '<postfield name="trans" value="$(trans)"/>';
echo '</go></anchor><br>--------------------<br>';
}

}else{

if ($config_bookadds=="1"){ 
if ($config_themes!="wml"){
echo '<br><hr><form action="add.php?'.SID.'" method="post"><b>Сообщение:</b><br>';
echo '<textarea cols="25" rows="3" name="msg"></textarea><br>';

if($config_translit=="1"){echo 'Транслит: <input name="trans" type="checkbox" value="y"><br>';}
echo '<input type="submit" value="Написать"></form><hr>';

}else{

echo '<br>--------------------<br>Сообщение:<br>';
echo '<input name="msg"/><br>';

if($config_translit=="1"){
echo 'Транслит: <select name="trans"><option value="0">Нет</option>';
echo '<option value="y">Да</option></select><br>';
}

echo '<anchor>Написать';
echo '<go href="add.php?'.SID.'" method="post">';
echo '<postfield name="trans" value="$(trans)"/>';
echo '<postfield name="msg" value="$(msg)"/>';
echo '</go></anchor><br>--------------------<br>';
}
} else {
echo '<br>Вы не авторизованы, чтобы добавить сообщение необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';
}
}

$file = file(BASEDIR."local/book.dat");
$file = array_reverse($file);

$total = count($file);    
if($total<1){echo '<br><img src="../images/img/reload.gif" alt=""> <b>Сообщений нет, будь первым!</b><br>';}

$start = (int)$_GET['start'];
if($start < 0 || $start > $total){$start = 0;}
if ($total < $start + $config_bookpost){ $end = $total; }
else {$end = $start + $config_bookpost; }
for ($i = $start; $i < $end; $i++){

$data = explode("|",$file[$i]);

//---------------------------------------------------------------//
$admin_mess = str_replace($data[6],'<br><font color="#FF0000">'.$data[6].'</font>',$data[6]);

$data[0]=bb_code($data[0]);

if($data[1]==$config_guestsuser){ 
if(!empty($udata[45])){
echo '<div class=b><img src="../images/avators/guest.gif" alt=""> <b> '.$data[1].'</b> ';
}else{
echo '<div class=b><img src="../images/img/edit.gif" alt=""> <b> '.$data[1].'</b> ';}
}else{

if(!empty($udata[45])){
$ava = file(BASEDIR."local/profil/$data[1].prof"); 
$avv = explode(":||:",$ava[0]);

if($avv[43]!="" && $avv[43]!="noavatar.gif"){
echo '<div class=b><img src="../'.$avv[43].'" alt=""> ';}else{
echo '<div class=b><img src="../images/avators/noavatar.gif" alt=""> '; }	
echo '<b><a href="../pages/anketa.php?uz='.$data[1].'&amp;'.SID.'"> '.nickname($data[1]).' </a></b> '.user_online($data[1]);
}else{ 
echo '<div class=b><img src="../images/img/edit.gif" alt=""> <b><a href="../pages/anketa.php?uz='.$data[1].'&amp;'.SID.'"> '.nickname($data[1]).' </a></b> '.user_online($data[1]);}
}


echo ' <small> ('.date_fixed($data[3]).')</small></div>';
echo '<div>'.$data[0].'<br><small><font color="#CC00CC">('.$data[4].', '. $data[5].')</font></small>'; 
if($data[7]!=""){ echo '<br>'.$data[7];} 
if($data[6]!=""){ echo $admin_mess;}
echo '</div>';

}

echo '<hr>'; 
if ($start != 0) {echo '<a href="index.php?start='.($start - $config_bookpost).'&amp;'.SID.'">&lt;-Назад</a> ';}else{echo '&lt;-Назад';}
echo ' | '; 
if ($total > $start + $config_bookpost) {echo ' <a href="index.php?start='.($start + $config_bookpost).'&amp;'.SID.'">Далее-&gt;</a>';}else{echo 'Далее-&gt;';}

if($total>0){

$ba=ceil($total/$config_bookpost);
$ba2=$ba*$config_bookpost-$config_bookpost;

echo '<br><hr>Страницы:';
$asd=$start-($config_bookpost*3);
$asd2=$start+($config_bookpost*4);

if($asd<$total && $asd>0){echo ' <a href="index.php?start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;){

if($i<$total && $i>=0){
$ii=floor(1+$i/$config_bookpost);

if ($start==$i) {
echo ' <b>('.$ii.')</b>';
} else {
echo ' <a href="index.php?start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
}}

$i=$i+$config_bookpost;}
if($asd2<$total){echo ' ... <a href="index.php?start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}
}

echo '<br><br>';
if($config_themes!="wml"){echo '<a href="#up"><img src="../images/img/ups.gif" alt=""></a> ';}
echo '<a href="../pages/pravila.php?'.SID.'">Правила</a> | ';
echo '<a href="../pages/smiles.php?'.SID.'">Смайлы</a> | ';
echo '<a href="../pages/tegi.php?'.SID.'">Теги</a><br>';
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 

include_once "../themes/$config_themes/foot.php";
?>
